<template>
  <v-footer
    height="auto"
    padless
    tile
    class="mt-4"
  >
    <v-container
      fluid
      class="pa-0"
    >
      <v-row
        id="menu"
        justify="center"
        class="primary"
      >
        <v-col
          cols="3"
          lg="3"
          xl="2"
          class="px-12"
          align-self="center"
        >
          <div
            class="pa-5"
          >
            <v-img :src="$t('urlLogo')" />
          </div>
        </v-col>
        <v-col
          cols="3"
          lg="3"
          xl="2"
          class="white--text pa-0 pl-10 pt-12"
          align-self="start"
        >
          <v-row
            dense
          >
            <v-col>
              <v-card-text class="ma-0 pa-0 font-weight-bold">
                {{ $t("links.label.helpInfos") }}
              </v-card-text>
            </v-col>
          </v-row>
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0 ">
                <a
                  :href="$t('links.route.terms')"
                  style="text-decoration:none;"
                  class="white--text"
                >{{ $t("links.label.terms") }}</a>
              </v-card-text>
            </v-col>
          </v-row>
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0 ">
                <a
                  :href="$t('links.route.faq')"
                  style="text-decoration:none;"
                  class="white--text"
                >{{ $t("links.label.faq") }}</a>
              </v-card-text>       
            </v-col>
          </v-row>
          <v-row justify="left">
            <v-col cols="12">
              <v-card-text class="ma-0 pa-0 font-weight-bold">
                <a
                  :href="$t('links.route.feedback')"
                  style="text-decoration:none;"
                  class="white--text"
                >{{ $t("links.label.feedback") }}</a>
              </v-card-text>
            </v-col>
          </v-row>
          <v-row justify="left">
            <v-col cols="12">
              <v-card-text class="ma-0 pa-0 font-weight-bold">
                <a
                  style="text-decoration:none;"
                  class="white--text"
                  @click="showCookiesAction()"
                >{{ $t('tools.cookies.title') }}</a>
              </v-card-text>
            </v-col>
          </v-row>
        </v-col>
      </v-row>
      <v-row
        justify="center"
        class="primary"
      >
        <v-col class="text-center">
          <p class="white--text">
            {{ $t("license") }}
          </p>
        </v-col>
      </v-row>
      <cookies
        :show="showCookies"
        :app-name="appName"
        :auto-show="cookiesShowAuto"
        :social-networks-active="socialNetworksActive"
        :social-cookies="socialCookies"
        @dialogClosed="dialogCookiesClosed"
      />
    </v-container>
  </v-footer>
</template>

<script>
import { merge } from "lodash";
import {messages_en, messages_fr, messages_eu} from "@translations/components/base/MFooter/";
import {messages_client_en, messages_client_fr,messages_client_eu} from "@clientTranslations/components/base/MFooter/";
import Cookies from "@components/utilities/Cookies";

let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);
let MessagesMergedEu = merge(messages_eu, messages_client_eu);

export default {
  i18n: {
    messages: {
      'en': MessagesMergedEn,
      'fr': MessagesMergedFr,
      'eu': MessagesMergedEu
    }
  },
  components: {
    Cookies    
  },
  props: {
    logosPath: {
      type: String,
      default: null
    },   
    logos: {
      type: Object,
      default: null
    },
    appName:{
      type: String,
      default:null
    },
    cookiesShowAuto:{
      type: Boolean,
      default: true
    },
    socialNetworksActive:{
      type: Boolean,
      default: false
    },
    socialCookies:{
      type: Array,
      default: null
    }
  },  
  data() {
    return {
      showCookies: false
    }
  },
  methods:{
    showCookiesAction(){
      this.showCookies = true;
    },
    dialogCookiesClosed(){
      this.showCookies = false;
    }
  }
};
</script>
